# Command: stop

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    stop - raise a stop signal

Synopsis:

      stop ->	-

      Desctiption:
      stop causes the execution stack to be popped until an
      enclosing stopped context is found. Effectively, the
      stopped/stop combination equals the catch/throw pair of
      C++.
      stop/stopped is used to implement SLI's error handling
      capabilities.
      Notes: stop, stopped is PostScript compatible.

References:

    The Red Book, sec. 3.10

SeeAlso:

- stopped
- raiseerror

Source:

    /opt/conda/conda-bld/nest_1512418852064/work/nest-2.12.0/sli/slicontrol.cc

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative